/*
   3D Invaders

   player.h

   (c)2002 Paul Boese
*/

#ifndef __PLAYER_H
#define __PLAYER_H

#include "common.h"

class Player;

class Player {
	private:
		int mode;
		int paused;
		int explode;
		
		point_t position;

		void draw_ship();
		
		void draw_player();

		int draw_explosion();

	public:
		Player();

		void Reset(point_t * pos);

		void Up();

		void Down();

		void Left();

		void Right();

		void Hit();

		void Pause();

		void Resume();
		
		point_t * Pos() {
			return &position;
		}

		void Draw();
};

#endif /* __PLAYER_H */
